Skip to main content
`Ctrl`+`K`

# numpy.char.equal

char.equal(x1, x2)

  Return (x1 == x2) element-wise.

  Unlike `numpy.equal`, this comparison is performed by first stripping whitespace characters from the end of the string. This behavior is provided for backward-compatibility with numarray.

  Parameters:
    x1, x2 array_like of str or unicode

      Input arrays of the same shape.

  Returns:
    out ndarray

      Output array of bools.

  See also

  `not_equal`, `greater_equal`, `less_equal`, `greater`, `less`

  Examples

      >>> import numpy as np
      >>> y = "aa "
      >>> x = "aa"
      >>> np.char.equal(x, y)
      array(True)